%define upstream_name    Dist-Zilla-Plugin-RequiresExternal
%define upstream_version 1.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Make dists require external commands
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(English)
BuildRequires: perl(Env::Path) >= 0.180.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Modern::Perl)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::Output) >= 1.31.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This Dist::Zilla plugin creates a test in your distribution to check for
the existence of executable commands you require.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.9.0-3.mga10
+ Revision: 2206510
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.9.0-2.mga9
+ Revision: 1813416
- Mageia 9 Mass Rebuild

* Sun Oct 18 2020 tv <tv> 1.9.0-1.mga8
+ Revision: 1636750
- update to 1.009

* Wed Feb 12 2020 umeabot <umeabot> 1.8.0-3.mga8
+ Revision: 1504149
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1283310
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 1.8.0-1.mga7
+ Revision: 1168371
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.6.0-2.mga6
+ Revision: 1026569
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 1.6.0-1.mga6
+ Revision: 1007593
- update to 1.006

* Fri Feb 19 2016 umeabot <umeabot> 1.5.0-2.mga6
+ Revision: 968028
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.5.0-1.mga6
+ Revision: 851194
- update to 1.005

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-5.mga5
+ Revision: 741056
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.0-3.mga4
+ Revision: 511134
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 366423
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 30 2011 jquelin <jquelin> 1.4.0-1.mga2
+ Revision: 136583
- update to 1.004
- update to 1.003

* Wed Jun 15 2011 jquelin <jquelin> 1.1.0-1.mga2
+ Revision: 106882
- update to 1.001

* Tue Mar 15 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 71598
- imported package perl-Dist-Zilla-Plugin-RequiresExternal


* Tue Mar 15 2011 cpan2dist 1.000-1mga
- initial mageia release, generated with cpan2dist
